Range-v3 Range algorithms, views, and actions for the Standard Library |

Synopsis of methods | Public Member Functions | List of all members
ranges::view::set_difference_fn Struct Reference

## Synopsis of methods
constexpr view< set_difference_fn > | set_difference {}

## Public Member Functions
template<typename Rng1 , typename Rng2 , typename C = less, typename P1 = identity, typename P2 = identity>
auto | operator() (Rng1 &&rng1, Rng2 &&rng2, C pred=C{}, P1 proj1=P1{}, P2 proj2=P2{}) const -> set_difference_view< all_t< Rng1 >, all_t< Rng2 >, C, P1, P2 > requires ViewableRange< Rng1 > &&InputRange< Rng1 > &&ViewableRange< Rng2 > &&InputRange< Rng2 > &&IndirectRelation< C, projected< iterator_t< Rng1 >, P1 >, projected< iterator_t< Rng2 >, P2 >>